<?php

namespace inter\phpStruct;

class Attr
{
    private string $name;
    private string $comment;
    private string $type;


    public function  SetName(string $val): self
    {
        $this->name = $val;
        return $this;
    }

    public function  GetName(): string
    {
        return $this->name;
    }

    public function  SetComment(string $val): self
    {
        $this->comment = $val;
        return $this;
    }

    public function  GetComment(): string
    {
        return $this->comment;
    }

    public function  SetType(string $val): self
    {
        $this->type = $val;
        return $this;
    }

    public function  GetType(): string
    {
        return $this->type;
    }
}
